Resource Center/Hardware/Host Operations/PCI Device Operations
DELETEPCI Device OperationsSince 3.5.0SynchronousAuth Required
RemovePciDeviceSpecFromVmInstance
RemovePciDeviceSpecFromVmInstance
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
pciSpecUuidStringRequiredThe UUID of the PCI device specification.
vmInstanceUuidStringRequiredThe VM instance UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/pci-device-specs/{pciSpecUuid}/vm-instances/{vmInstanceUuid}
/zstack/v1/pci-device-specs/{pciSpecUuid}/vm-instances/{vmInstanceUuid}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/pci-device-specs/{pciSpecUuid}/vm-instances/{vmInstanceUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
